mui.init();
var vm;
light.plusready(function() {
	loadPage();
});

function pickSelect() {
	if (vm.nationality.length == 0) {
		mui.alert("请选择民族");
	} else {
		light.backAndReload("setNationality('" + vm.nationality + "')")
	}
}

function scrollToSpell(spell) {
	document.getElementById(spell).scrollIntoViewIfNeeded();
}

function switchSelect(elem) {
	if (elem.nationality == vm.nationality) {
		vm.nationality = "";
	} else {
		vm.nationality = elem.nationality;
	}
}

function loadPage() {
	avalonInit();
	mui(".mui-input-row").on('tap', '.mui-icon-clear', function() { //捕获清空按钮事件
		vm.searchText = "";
	})
	getNationality();
}

function avalonInit() {
	vm = avalon.define({
		$id: "avaCtl",
		nationalityGroup: [],
		spellList: [],
		spellItemHeight: 0,
		nationality: "",
		searchText: ""
	});
	avalon.scan();
}

function getNationality() { //获取列表
	light.loadData("service.GetData", {
			total: true,
			params: {
				id: 1135,
				param: {}
			}
		},
		function(result) {
			var o = result.data;
			var temSpell;
			var temList = [];
			for (var i in o) {
				if (o[i].spell != temSpell) {
					if (temList.length > 0) {
						vm.nationalityGroup.push({
							nationalityList: temList,
							spell: temSpell
						});
						temList = [];
						vm.spellList.push({
							spell: temSpell
						});
					}
					temSpell = o[i].spell;
				}
				temList.push({
					nationality: o[i].nationality
				});
			}
			if (temList.length > 0) {
				vm.nationalityGroup.push({
					nationalityList: temList,
					spell: temSpell
				});
				vm.spellList.push({
					spell: temSpell
				});
			}
			vm.spellItemHeight = (document.body.offsetHeight - header.offsetHeight) /  (vm.spellList.length + 1);
		},
		function(result) {
			mui.alert("列表加载失败，请确认网络连接状态后重试！");
			setTimeout(function() {
				mui.back();
			}, 2000);
		}
	);
}