mui.init();
var vm;
light.plusready(function() {
	loadPage();
});

function loadPage() {
	avalonInit();
	var wv = plus.webview.currentWebview();
	vm.delivery_no = wv.delivery_no;
	vm.brand_id = wv.brand_id;
	doSearch();
}

function avalonInit() {
	vm = avalon.define({
		$id: "avaCtl",
		img_url: "",
		brand_name: "",
		delivery_no: "",
		customer_name: "",
		card_type: "",
		social_id: "",
		postman_name: "",
		address: "",
		postman_phone: "",
		create_time: "",
		branch_name: "",
		company_name: "",
		description: "",
		receiver_phone: "",
		resultStatus: "查询中..."
	});
	avalon.scan();
}

function doSearch() {
	light.loadData("service.GetData", { //查询快件信息
		total: true,
		params: {
			id: 1188,
			param: {
				brand_id: vm.brand_id,
				delivery_no: vm.delivery_no
			}
		}
	}, function(result) {
		if (result.data.length > 0) {
			vm.resultStatus = "";
			var o = result.data[0];
			vm.img_url = o.img_url;
			vm.brand_name = o.brand_name;
			vm.delivery_no = o.delivery_no;
			vm.customer_name = o.customer_name;
			vm.social_id = o.social_id;
			vm.postman_name = o.postman_name;
			vm.address = o.address;
			vm.postman_phone = o.postman_phone;
			vm.create_time = o.create_time_str;
			vm.branch_name = o.branch_name;
			vm.company_name = o.company_name;
			vm.description = o.description;
			vm.receiver_phone = o.receiver_phone;
		} else {
			vm.resultStatus = "查无记录";
		}
	}, function() {});
}