var vm;
var main = null;
var subpage_style = {
	top: '45px',
	bottom: '83px'
};
mui.init({
	swipeBack: false
});
light.plusready(function() {
	loadPage();
});

function loadPage() {
	main = plus.webview.currentWebview();
	avalonInit();
	vm.activeTab = main.activeTab;
	var o = vm.subpageList.$model;
	for (var i in o) {
		var sub = plus.webview.create(o[i].url, o[i].url, subpage_style);
		if (i != vm.activeTab) { //创建子页面，首个选项卡页面显示，其它均隐藏；
			sub.hide();
		}
		main.append(sub);
	}
	vm.title = vm.subpageList[vm.activeTab].title;
}

function avalonInit() {
	vm = avalon.define({
		$id: "avaCtl",
		activeTab: -1, //当前激活选项；
		title: "",
		subpageList: [{
			url: "delivery/main_delivery.html",
			title: "我的二维码",
			img: "img/qrcode.png"
		}, {
			url: "history/history_header.html",
			title: "寄件历史",
			img: "img/history.png"
		}, {
			url: "manage/main_info.html",
			title: "我的信息",
			img: "img/user.png"
		}]
	});
	avalon.scan();
}

function topRightFun() {
	if (event.srcElement.class != "")
		plus.webview.getWebviewById(vm.subpageList[vm.activeTab].url).evalJS('topRightFun()');
}

function switchTab(index) { //由home调用
	plus.webview.hide(vm.subpageList[vm.activeTab].url);
	plus.webview.show(vm.subpageList[index].url);
	vm.activeTab = index;
	vm.title = vm.subpageList[index].title;
}