mui.init({
			swipeBack: false,
			pullRefresh: {
				container: '#pullrefresh',
				up: {
					contentrefresh: "正在加载...",
					contentnomore: '没有更多数据了',
					callback: pullupRefresh
				}
			}
		});
		var start = 0;
		var vm;
		var params;

		function pullupRefresh() {
			light.loadData("service.GetData", {
					start: start,
					limit: 10,
					page: 0,
					params: params
				},
				function(result) {
					start += result.data.length;
					if (start == result.total) {
						mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
					} else {
						mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
					}
					vm.notifyList = vm.notifyList.concat(result.data);
				}, null
			);
		}
		light.plusready(function() {
			loadPage()
		});

		function avalonInit() {
			vm = avalon.define({
				$id: "avaCtl",
				notifyList: []
			});
			avalon.scan();
		}

		function loadPage() {
			avalonInit();
			params = {
				id: 1550,
				param: {
					search_text: "",
					app_id: light.app_id
				}
			};
			setTimeout(function() { //必须加延迟，否则会报错
				mui('#pullrefresh').pullRefresh().pullupLoading();
			}, 0);
		}

		function searchKey(k) {
			vm.notifyList = [];
			start = 0;
			mui('#pullrefresh').pullRefresh().refresh(true);
			params.param.search_text = k;
			pullupRefresh();
		}

		function enterDetail(el) {
			light.openWindow({
				url: 'notify_detail.html',
				extras: {
					notify_id: el.notify_id
				}
			});
		}