mui.init();
var baseInfoChange = false; //修改了个人信息
var base64Img = {
	img_url: "",
	front_url: "",
	back_url: ""
};
var vm;
var wv;
var first = null;
var oldBack;
var elemForm = ["sex", "nationality", "card_address", "issued_by", "expire"];
light.plusready(function() {
	loadPage();
});

function loadPage() {
	plus.screen.lockOrientation("portrait-primary"); //锁定竖屏，避免原生返回变横屏
	avalonInit();
	wv = plus.webview.currentWebview();
	vm.isAdd = wv.isAdd;
	oldBack = mui.back;
	if (vm.isAdd) {
		getCity();
		forbitBack();
	} else {
		getInfo();
	}
	if (plus.os.name == 'iOS') {
		light.pluginFun("ocrInit", "", function(result) {},
			function(result) {});
	}
}

function getCity() { //查询地市
	light.loadData("service.GetData", { //查询当天工作量
		total: true,
		params: {
			id: 1232,
			param: {}
		}
	}, function(result) {
		var o = result.data;
		for (var i in o) {
			vm.cityList.push(o[i].city_name);
		}
		getPosBaidu();
	}, function() {});
}

function getPosBaidu() { // 通过百度定位模块获取位置信息
	mui.toast("正在获取位置信息...");
	getPos = plus.geolocation.getCurrentPosition(function(p) {
		//alert(JSON.stringify(p))
		var city = p.address.city;
		if (city) {
			city = light.trim(city).replace("市", "");
			if (vm.cityList.$model.indexOf(city) > -1) {
				vm.city_name = city;
			}
		} else {
			mui.toast("获取位置信息失败，请稍候重试");
		}
		getPos = null;
	}, function(e) {
		mui.toast("获取位置信息失败，请稍候重试"); //e.message
		getPos = null;
	}, {
		provider: 'baidu',
		geocode: true,
		timeout: 5000
	});
}

function forbitBack() {
	mui.alert("请完善您的实名信息，以便寄件时使用。");
	mui.back = function() { //未认证的退出要退回到首页
		wv.opener().evalJS("waitToBack()");
		oldBack();
	};
}

function getInfo() {
	vm.submitState = '加载中...';
	light.loadData("service.GetMultiLogic", {
			idarray: [1386, 1232], //1232城市列表
			param: {}
		},
		function(result) {
			//alert(JSON.stringify(result));
			var o = result[1232];
			for (var i in o) {
				vm.cityList.push(o[i].city_name);
			}
			o = result[1386][0];
			if (o) {
				vm.name = o.name;
				vm.sex = o.sex;
				vm.nationality = o.nationality;
				vm.social_id = o.social_id;
				vm.card_address = o.card_address;
				vm.issued_by = o.issued_by;
				vm.expire = o.expire;
				vm.img_url = o.img_url || "";
				vm.front_url = o.front_url || "";
				vm.back_url = o.back_url || "";
				if (o.city_name) {
					vm.city_name = o.city_name;
				} else {
					getPosBaidu();
				}
				var elemWatch = ["city_name", "name", "sex", "nationality", "card_address", "social_id", "issued_by", "expire"];
				for (var i in elemWatch) { //批量增加监视
					vm.$watch(elemWatch[i], function(newValue, oldValue) {
						baseInfoChange = true;
					});
				}
				vm.isAdd = false;
			} else {
				vm.isAdd = true;
				getPosBaidu();
				forbitBack();
			}
			vm.submitState = '提交';
		},
		function(result) {
			mui.alert("加载失败！");
		}
	);
}

function checkForm() { //检查表单内容
	vm.submitState = '提交中...';
	if (vm.img_url.length == 0 || vm.front_url.length == 0) {
		return showMsg("请拍摄身份证正面");
	}
	if (vm.back_url.length == 0) {
		return showMsg("请拍摄身份证背面");
	}
	vm.social_id = vm.social_id.toUpperCase();
	for (var i in elemForm) { //清理首尾空格
		vm[elemForm[i]] = light.trim(vm[elemForm[i]]);
	}
	var lenCheck = [{
		name: "nationality",
		title: "民族",
		len: 20,
		notNull: true
	}, {
		name: "card_address",
		title: "家庭住址",
		len: 50,
		notNull: true
	}, {
		name: "issued_by",
		title: "签发机关",
		len: 40,
		notNull: true
	}, {
		name: "expire",
		title: "有效期限",
		len: 40,
		notNull: true
	}];
	for (var i in lenCheck) { //检查填写规范
		if (lenCheck[i].notNull != null && lenCheck[i].notNull && vm[lenCheck[i].name].length == 0) {
			return showMsg("请输入“" + lenCheck[i].title + "”");
		}
		if (lenCheck[i].fitLen != null && lenCheck[i].fitLen) {
			if (vm[lenCheck[i].name].length != lenCheck[i].len) {
				return showMsg("“" + lenCheck[i].title + "”字符长度必须为" + lenCheck[i].len);
			}
		} else {
			if (vm[lenCheck[i].name].length > lenCheck[i].len) {
				return showMsg("“" + lenCheck[i].title + "”字符长度不能超过" + lenCheck[i].len);
			}
		}
	}
	if (vm.isAdd) { //新增
		light.loadData("service.GetData", { //查询身份证号是否重复
			total: true,
			params: {
				id: 1385,
				param: {
					social_id: vm.social_id
				}
			}
		}, function(result) {
			if (result.data[0].has_exist) {
				return showMsg("身份证号：" + vm.social_id + "已提交过实名认证，请勿重复提交！");
			} else {
				uploadImg();
			}
		}, function() {
			return showMsg("检查身份证号重复过程执行失败！");
		});
	} else { //修改
		if (baseInfoChange) { //修改了岗位信息
			uploadImg();
		} else { //没有任何修改
			return showMsg("没有发现任何修改");
		}

	}
}

function showMsg(msg) {
	mui.alert(msg);
	vm.submitState = '提交';
}

function uploadImg() {
	var str = [];
	var width = [];
	if (base64Img.img_url.length > 0) {
		str.push(base64Img.img_url, base64Img.front_url);
		width.push(50, 100);
	}
	if (base64Img.back_url.length > 0) {
		str.push(base64Img.back_url);
		width.push(100);
	}
	if (str.length > 0) {
		light.loadData("file.upload", {
				params: {
					server: light.nodejsServer + "/",
					str: str,
					width: width,
					path: "PostmanCard" //文件目录
				}
			}, function(result) {
				if (result.success) {
					var o = result.data;
					setImg(o);
				} else {
					return showMsg('上传身份证照片失败');
				}
			},
			function() {
				return showMsg('上传身份证照片失败');
			});
	} else {
		setImg();
	}
}

function setImg(o) {
	var paramImg = {};
	if (base64Img.img_url.length > 0) {
		paramImg.img_url = o.small_url[0];
		paramImg.front_url = o.small_url[1];
		if (base64Img.back_url.length > 0) {
			paramImg.back_url = o.small_url[2];
		} else {
			paramImg.back_url = vm.back_url;
		}
	} else {
		paramImg.img_url = vm.img_url;
		paramImg.front_url = vm.front_url;
		if (base64Img.back_url.length > 0) {
			paramImg.back_url = o.small_url[0];
		} else {
			paramImg.back_url = vm.back_url;
		}
	}
	submitForm(paramImg);
}

function submitForm(paramImg) { //APP提交实名认证
	light.loadData("service.UpdateData", {
		params: {
			id: vm.isAdd ? 1472 : 1473,
			param: {
				name: vm.name,
				sex: vm.sex,
				nationality: vm.nationality,
				birthday: vm.social_id.substr(6, 8),
				card_address: vm.card_address,
				social_id: vm.social_id,
				issued_by: vm.issued_by,
				expire: vm.expire,
				img_url: paramImg.img_url,
				front_url: paramImg.front_url,
				back_url: paramImg.back_url,
				city_name: vm.city_name
			}
		}
	}, function(result) {
		//alert(JSON.stringify(result));
		if (result.success) {
			plus.nativeUI.closeWaiting();
			wv.opener().evalJS("getUser()");
			mui.alert('您的认证信息已提交！', '提示', "确定", function() {
				oldBack();
			});
		} else {
			return showMsg("提交个人信息失败");
		}
	}, function() {
		return showMsg("提交个人信息失败");
	});
}

function avalonInit() {
	vm = avalon.define({
		$id: "avaCtl",
		isAndroid: plus.os.name == "Android",
		ocrScaning: false,
		isAdd: true,
		img_url: "",
		front_url: "",
		back_url: "",
		name: "",
		sex: "",
		nationality: "",
		card_address: "",
		maxHeight_card_address: 41, //最大高度
		social_id: "",
		issued_by: "",
		expire: "",
		submitState: "提交",
		cityList: [],
		city_name: "福州"
	});
	avalon.scan();
	vm.$watch("card_address", function(newValue, oldValue) {
		fitHeight("card_address", "maxHeight_card_address");
	});
	vm.$watch("submitState", function(newValue, oldValue) {
		if (newValue == "提交") {
			plus.nativeUI.closeWaiting();
		} else {
			plus.nativeUI.showWaiting();
		}
	});
}

function scanCard(side) {
	if (vm.ocrScaning) {
		mui.toast("已经启动识别模块，请稍候...");
		return;
	}
	vm.ocrScaning = true;
	light.pluginFun("scanCard_YM", "side:" + side, function(result) {
			vm.ocrScaning = false;
			var str = result[0];
			if (str.length > 10) { //识别成功
				var strArray = str.split("\n");
				var o = {};
				var strItem;
				for (var i in strArray) {
					if (strArray[i].length > 0) {
						strItem = strArray[i].split("：");
						if (strItem[1] != "null") {
							o[strItem[0]] = strItem[1];
						}
					}
				}
				if (o["正面"] == "1") { //正面
					vm.name = o["姓名"] || "";
					vm.sex = o["性别"] || "";
					vm.nationality = o["民族"] || "";
					vm.card_address = o["住址"] || "";
					vm.social_id = o["身份号码"] || "";
					getImg('file://' + o["头像路径"], "img_url");
					getImg('file://' + o["整体照片"], "front_url");
				} else { //背面
					vm.issued_by = o["签发机关"] || "";
					vm.expire = o["有效期限"] || "";
					getImg('file://' + o["整体照片"], "back_url");
				}
				baseInfoChange = true;
			} else {
				if (str != "用户取消") {
					mui.toast(str);
				}
			}
		},
		function(result) {
			vm.ocrScaning = false;
			mui.alert(result);
		});
}

function getImg(path, elem) {
	//alert(path);
	//getImg("/storage/sdcard1/ccIdCard/tempImgs/150927110217971.bmp", "img_url")
	plus.io.resolveLocalFileSystemURL(path, function(entry) {
		if (elem) {
			var img = new Image();
			img.src = entry.fullPath;
			var canvas = document.createElement("canvas");
			var compressedWidth = 400; //压缩后宽度
			img.onload = function() { //必须等图像加载完毕，否则高宽都是0
				var scale = img.height / img.width; //高宽比
				if (img.width > compressedWidth) {
					canvas.width = compressedWidth;
					canvas.height = compressedWidth * scale;
				} else {
					canvas.width = img.width;
					canvas.height = img.height;
				}
				canvas.getContext("2d").drawImage(img, 0, 0, canvas.width, canvas.height); //  将图片画到canvas上面			
				vm[elem] = base64Img[elem] = canvas.toDataURL("image/png"); // 使用Canvas压缩，生成Base64编码						
				//alert(base64Img[elem].substr(0, 30))
				entry.remove(function(e) { //删除
					console.log("删除成功");
				}, function(e) {
					console.log("删除失败");
				});
			}
		} else {
			entry.remove(function(e) { //删除图片
				console.log("删除成功");
			}, function(e) {
				console.log("删除失败");
			});
		}
	}, function(e) {
		alert("读取文件失败: " + e.message);
	});
}

function fitHeight(elemID, maxHeight) { //自动调整输入框高度
	setTimeout(function() { //填充内容后必须延迟执行，否则元素scrollHeight未改变，以下代码无效
		var elem = document.getElementById(elemID);
		vm[maxHeight] = elem.scrollHeight;
		elem.rows = parseInt((elem.scrollHeight - 41) / 21) + 1;
	}, 1000);
}

function switchSex(sex) {
	if (vm.card_status) {
		vm.sex = sex;
	}
}

function setNationality(nationality) {
	vm.nationality = nationality;
}

function getNationality() {
	light.openWindow({
		url: '../delivery/nationality_select.html'
	});
}


function showImage(picSrc) {
	if (picSrc.startWith("http://")) {
		picSrc = picSrc.replace("_small", "");
	}
	light.openWindow({
		url: "../delivery/show_image.html",
		styles: {
			scrollIndicator: 'none',
			scalable: true,
			bounce: "all"
		},
		extras: {
			picSrc: picSrc,
			isAutoSize: false
		}
	});
}