//关闭back、menu按键监听，这样侧滑主界面会自动获得back和memu的按键事件，仅在主界面处理按键逻辑即可；
var updateState = 0; //自动下载
var vm;
var wv;
var loginAction = 0;
var tem_activeTab;
mui.init({
	keyEventBind: {
		backbutton: false,
		menubutton: false
	}
});
light.plusready(function() {
	loadPage()
});

function loadPage() {
	wv = plus.webview.currentWebview();
	avalonInit();
	autoLogin();
	setTimeout(function() {
		updateHelper.checkUpdate(0);
	}, 5000);
}

function avalonInit() {
	vm = avalon.define({
		$id: "avaCtl",
		version: "v" + plus.runtime.version,
		last_login: plus.storage.getItem('last_login'),
		name: "",
		user_account: plus.storage.getItem('username') || "",
		img_url: "",
		loginStatus: "登录",
		isAndroid: plus.os.name == 'Android',
		showButton: plus.os.name == 'Android' || light.appStoreID == null
	});
	avalon.scan();
}

function autoLogin() {
	var password = plus.storage.getItem('password') || "";
	if (vm.user_account && plus.storage.getItem('recordPSW') && password) {
		setLoginStatus("登录中...");
		loginAction++;
		var currentAction = loginAction;
		setTimeout(function() {
			if (currentAction == loginAction) {
				setLoginStatus("登录");
			}
		}, 15000); //15秒后无回调自动解锁
		light.loadData("edge.userLogin", {
			param: {
				username: vm.user_account,
				password: encodeMD5(password),
				app_id: light.app_id
			}
		}, function(r) {
			if (currentAction != loginAction) {
				return;
			}
			if (r.success) {
				tem_activeTab = null;
				logSuccess();
			} else {
				setLoginStatus("登录");
				switch (r.status) { //0登录成功1 待审核(app提交信息)2 未通过3 未预置认证信息4 账号过期 5 账号密码错误6后台预置信息7账号未注册
					/*					case 1:
											mui.confirm('您提交的实名认证正在审核中，请联系公司管理员。', '提示', ['确定', '修改信息'], function(e) {
												if (e.index == 1) {
													light.openWindow({
														url: '../manage/certify.html',
														extras: {
															hasLogin: false,
															user_account: vm.username
														}
													});
												}
											});
											break;
										case 2:
											mui.confirm('您提交的实名认证审核未通过，请联系公司管理员。', '提示', ['确定', '修改信息'], function(e) {
												if (e.index == 1) {
													light.openWindow({
														url: '../manage/certify.html',
														extras: {
															hasLogin: false,
															user_account: vm.username
														}
													});
												}
											});
											break;
										case 3:
										case 6:
											mui.alert('请完善您的实名认证信息。');
											light.openWindow({
												url: '../manage/certify.html',
												extras: {
													hasLogin: false,
													user_account: vm.username
												}
											});
											break;*/
					case 4:
						mui.alert('您的账号过期，需要重新注册。');
						openWin('register');
						break;
					case 5:
						mui.toast("自动登录失败，账号或密码错误!");
						break;
					case 7:
						mui.alert('账号未注册，请先注册。');
						break;
				}
			}
		}, function() { //连接失败
			if (currentAction == loginAction) {
				setLoginStatus("登录");
			}
		});
	}
}

function setLoginStatus(status) {
	vm.loginStatus = status;
	wv.opener().evalJS("vm.loginStatus = '" + status + "'");
}

function getLog() {
	light.loadData("service.GetData", { //查询上次登录时间
		total: true,
		params: {
			id: 1047,
			param: {
				app_id: light.app_id
			}
		}
	}, function(result) {
		if (result.data.length > 0) {
			vm.last_login = result.data[0].last_login;
			plus.storage.setItem('last_login', result.data[0].last_login);
		}
		light.saveLog(document.title, "登录成功,ver:" + light.version_code);
		getUser();
	}, function() {});
}

function updatePush() {
	var info = plus.push.getClientInfo();
	client_id = info.clientid;
	var device_token = "";
	if (plus.os.name == "iOS") {
		device_token = info.token;
		if (device_token.length == 0) {
			// mui.alert("device_token获取失败，可能是处于调试环境");
			return;
		}
	}
	//alert(client_id);
	light.loadData("service.UpdateData", {
		params: {
			id: 1444, //更新用户推送登记信息
			param: {
				app_id: light.app_id,
				client_id: client_id,
				device_token: device_token
			}
		}
	}, function(result) {
		//alert(JSON.stringify(result));
	}, null);
}

function getCrashLog() {
	plus.io.resolveLocalFileSystemURL("/sdcard/crash/" + light.package_name + "/crash.log", function(entry) {
		var reader = null;
		entry.file(function(file) {
			reader = new plus.io.FileReader();
			reader.onloadend = function(e) {
				var o = e.target.result;
				if (o.length > 0) {
					var split = "error_content:";
					var i = o.indexOf(split);
					var device_detail = o.substr(0, i);
					var error_content = o.substr(i + split.length);
					split = "Exception";
					i = error_content.indexOf(split);
					light.loadData("service.UpdateData", {
						params: {
							id: 1456, //提交error
							param: {
								app_id: light.app_id,
								user_imsil: plus.os.name == 'Android' ? (plus.device.imsi || "-1") : "-1",
								device_detail: device_detail,
								error_content: error_content,
								error_type: error_content.substr(0, i + split.length),
								device_type: plus.os.name,
								user_terminal: plus.device.model || "-1",
								remark: ""
							}
						}
					}, function(result) {
						//alert(JSON.stringify(result));
						entry.remove(function(e) { //删除文件
							//console.log("删除成功");
						}, function(e) {
							//console.log("删除失败");
						});
					}, null);
				} else {
					entry.remove();
				}
			};
			reader.readAsText(file);
		}, function(e) {
			//console.log(e.message);
		});
	}, function(e) {
		//console.log("不存在失败日志");
	});
}

function getUser() {
	light.loadData("service.GetData", {
			total: true,
			params: {
				id: 1386,
				param: {}
			}
		},
		function(result) {
			if (result && result.success && result.data && result.data[0]) {
				var o = result.data[0];
				vm.name = o.name;
				vm.user_account = o.user_account;
				vm.img_url = o.img_url;
			}
		},
		function(result) {}
	);
}

function log(activeTab) {
	if (vm.loginStatus == "退出登录") {
		mui.confirm('确定退出登录？', '提示', ["确定", "取消"], function(e) {
			if (e.index == 0) {
				light.delCookie(null, 1); //清除light开头的缓存	
				plus.storage.setItem('recordPSW', "0");
				plus.storage.removeItem('password');
				setLoginStatus("注销中...");
				vm.img_url = vm.user_account = vm.name = "";
				light.loadData("user.logout", {}, function() {
					setLoginStatus("登录");
				}, function() {
					setLoginStatus("登录");
				}, "get"); //注销
			}
		});
	} else {
		tem_activeTab = activeTab;
		light.openWindow({
			url: 'login.html'
		});
	}
}

function logSuccess() { //登录页也有调用
	loginAction++;
	setLoginStatus('退出登录');
	getLog();
	setTimeout(function() {
		updatePush();
		if (plus.os.name == 'Android') {
			getCrashLog();
		}
	}, 2000);
	if (tem_activeTab != null) {
		wv.opener().evalJS("enterModule(" + tem_activeTab + ")");
	}
}

function hideMenu() {
	mui.fire(plus.webview.currentWebview().opener(), "menu:hide");
}
window.addEventListener('dragstart', function(e) {
	mui.gestures.touch.lockDirection = true; //锁定方向
	mui.gestures.touch.startDirection = e.detail.direction;
});
window.addEventListener('dragleft', function(e) {
	if (!mui.isScrolling) {
		if (Math.abs(e.detail.angle) > 170) {
			hideMenu();
		}
	}
});

function encodeMD5(pw) {
	pw = light.trim(pw);
	if (pw.length > 0) {
		return pw.length == 32 ? pw : MD5(pw);
	} else {
		return "";
	}
}