var vm;
var wv;
mui.init({
	swipeBack: false,
});
light.plusready(function() {
	loadPage()
});

function loadPage() {
	avalonInit();
	mui(".mui-input-row").on('tap', '.mui-icon-clear', function() { //捕获清空按钮事件,主动重置avalon变量
		var o = event.currentTarget.children;
		for (var i in o) {
			if (o[i].tagName == "INPUT" && o[i].id) {
				vm[o[i].id] = "";
				break;
			}
		}
	});
	wv = plus.webview.currentWebview();
	vm.pageType = wv.pageType;
	vm.phone = wv.phone;
}

function avalonInit() {
	vm = avalon.define({
		$id: "avaCtl",
		phone: "",
		code: "",
		password: "",
		psdcheckstr: "",
		submitState: '确定',
		btntext: '获取短信验证码',
		pageType: ""
	});
	avalon.scan();
}

function listenSms() {
	if (plus.os.name == 'Android') {
		light.pluginFun("listenSms", light.listenSms, function(result) {
				mui.toast("已经获取到验证码");
				var sms = result[0];
				var i = sms.indexOf("验证码为");
				var j = sms.indexOf("，", i); //中文逗号
				if (j == -1) {
					j = sms.indexOf(",", i); //英文逗号
				}
				if (j == -1) {
					return;
				}
				if (i > -1) {
					vm.code = light.trim(sms.substring(i + 4, j));
				}
			},
			function(result) {});
	}
}

function getSms() {
	if (vm.phone.length != 11) {
		mui.toast("您输入的号码有误");
		return;
	}
	vm.btntext = "发送中...";
	light.loadData(vm.pageType == 'register' ? "edge.regSendSms" : "edge.changPasswdSendSms", {
		param: {
			phone: vm.phone,
			app_id: light.app_id
		}
	}, function(result) {
		if (result && result.success) { //成功	
			listenSms();
			vm.btntext = "短信已发送";
			timeCounter = 60;
			window.setTimeout(function() {
				countDown();
			}, 2000); //延迟倒计时，保持“短信已发送”2秒
			mui.toast("验证码发送成功。");
		} else {
			mui.toast(result.msg);
			vm.btntext = "获取短信验证码";
		}
	}, function() {
		mui.toast('提交失败');
		vm.btntext = "获取短信验证码";
	});
}
var timeCounter = 0;

function countDown() { //倒计时
	if (timeCounter > 0) {
		vm.btntext = timeCounter + "秒后重新发送";
		timeCounter--;
		window.setTimeout(arguments.callee, 1000);
	} else {
		vm.btntext = '获取短信验证码';
	}
}

function checkcode() {
	if (vm.code.length == 0) {
		mui.toast("请输入验证码");
		return false;
	}
	return true;
}

function checkpassword() {
	if (vm.password.length == 0) {
		mui.toast("请输入密码");
		return false;
	}
	if (vm.password.length > 16 || vm.password.length < 6) {
		mui.toast("密码长度为6至16个字符");
		return false;
	}
	if (vm.psdcheckstr.length == 0) {
		mui.toast("请再次输入密码");
		return false;
	}
	if (vm.psdcheckstr != vm.password) {
		mui.toast("两次密码输入不一致");
		return false;
	}
	return true;
}

function reset() {
	vm.code = "";
	vm.password = "";
	vm.psdcheckstr = "";
}

function submit() {
	if (!checkcode() || (!checkpassword()))
		return;
	vm.submitState = '提交中...';
	light.loadData(vm.pageType == 'register' ? "edge.register" : "edge.changPasswd", {
		param: {
			phone: vm.phone,
			password: vm.password,
			code: vm.code,
			app_id: light.app_id
		}
	}, function(result) {
		if (result.success) {
			mui.alert(result.msg);
			mui.back();
		} else {
			mui.toast(result.msg);
			vm.submitState = '确定';
		}
	}, function() {
		mui.toast('提交失败');
		vm.submitState = '确定';
	});
}