var shares;
var downloadURL = "http://www.aiqy.cn/lightapp/delivery/index.html?isAppStore=1";
var shareContent = "我正在使用快递到家APP，赶紧跟我一起来体验！下载地址：" + downloadURL;
mui.init();
var vm;
light.plusready(function() {
	loadPage();
});

function loadPage() {
	avalonInit();
	setQR();
	plus.share.getServices(function(s) {
		shares = {};
		for (var i in s) {
			var t = s[i];
			shares[t.id] = t;
		}
	}, function(e) {
		mui.toast("获取分享服务列表失败：" + e.message);
	});
}

function avalonInit() {
	vm = avalon.define({
		$id: "avaCtl",
		showButton: plus.os.name == 'Android' || light.appStoreID == null,
		qrCode: ""
	});
	avalon.scan();
}

function setQR() {
	vm.qrCode = QR.encode({
		text: downloadURL,
		size: 400,
		border: 10,
		color: "black",
		shape: "rectangles",
		format: "image/png"
	});
}

function shareAction(id, ex) {
	var s = null;
	popover();
	if (!id || !(s = shares[id])) {
		mui.toast("无效的分享服务！");
		return;
	}
	if (s.authenticated) { //已授权
		shareMessage(s, ex);
	} else { //未授权
		s.authorize(function() {
			shareMessage(s, ex);
		}, function(e) {
			mui.toast("认证授权失败：" + e.code + " - " + e.message);
		});
	}
}

function shareMessage(s, ex) { //发送分享消息		
	var msg = {
		content: shareContent,
		extra: {
			scene: ex
		}
	};
	s.send(msg, function() { //安卓必须打包后才能调用成功
		mui.toast("分享到\"" + s.description + "\"成功！");
	}, function(e) {
		if (e.code != -100) { //-2用户取消分享
			mui.toast("分享到\"" + s.description + "\"失败: " + e.code + " - " + e.message);
		}
	});
}

function openSmsShare() {
	window.location.href = "sms:''?body=" + shareContent;
	popover();
}

function copyLink() {
	if (plus.os.name == 'Android') {
		var Context = plus.android.importClass("android.content.Context");
		var main = plus.android.runtimeMainActivity();
		var clip = main.getSystemService(Context.CLIPBOARD_SERVICE);
		plus.android.invoke(clip, "setText", downloadURL);
	} else {
		var UIPasteboard = plus.ios.importClass("UIPasteboard");
		var generalPasteboard = UIPasteboard.generalPasteboard();
		generalPasteboard.setValueforPasteboardType(downloadURL, "public.utf8-plain-text");
	}
	popover();
	mui.toast("下载链接已复制");
}

function popover() {
	mui('.mui-popover').popover('toggle');
}